### Method

# Gio DtlsConnection get_protocol_version

since: 2.70

#### Declaration [src]

    GTlsProtocolVersion
    g_dtls_connection_get_protocol_version (
      GDtlsConnection* conn
    )

#### Description [src]

Returns the current DTLS protocol version, which may be `G_TLS_PROTOCOL_VERSION_UNKNOWN` if the connection has not handshaked, or has been closed, or if the TLS backend has implemented a protocol version that is not a recognized `GTlsProtocolVersion`.

Available since: 2.70

Gets property | `Gio.DtlsConnection:protocol-version`

#### Return value

Type: `GTlsProtocolVersion`

The current DTLS protocol version.